Subject: Support stable uids and gids for system accounts in a container

From: Brendan Tildesley <[email-masked]>
Date: Wed, 7 Apr 2021 09:13:50 +0200 (CEST)

It may be useful to see what Nix does.

Nix has many static id, with the comment:

# IMPORTANT!
# We only add static uids and gids for services where it is not feasible
# to change uids/gids on service start, in example a service with a lot of
# files. Please also check if the service is applicable for systemd's

https://github.com/NixOS/nixpkgs/blob/master/nixos/modules/misc/ids.nix